Transactionalsms 3 endpoints

GET /transactionalSMS/statistics/aggregatedReport
operationId: TransactionalSms_getAggregatedReport

Parameters

Name In Required Type Description
startDate query optional string

Mandatory if endDate is used. Starting date (YYYY-MM-DD) of the report

endDate query optional string

Mandatory if startDate is used. Ending date (YYYY-MM-DD) of the report

days query optional integer

Number of days in the past including today (positive integer). Not compatible with startDate and endDate

tag query optional string

Filter on a tag

Responses

200

Aggregated SMS report informations

400

bad request

GET /transactionalSMS/statistics/aggregatedReport
GET /transactionalSMS/statistics/events
operationId: TransactionalSms_getAllEvents

Parameters

Name In Required Type Description
limit query optional integer

Number of documents per page

startDate query optional string

Mandatory if endDate is used. Starting date (YYYY-MM-DD) of the report

endDate query optional string

Mandatory if startDate is used. Ending date (YYYY-MM-DD) of the report

offset query optional integer

Index of the first document of the page

days query optional integer

Number of days in the past including today (positive integer). Not compatible with ‘startDate’ and ‘endDate’

phoneNumber query optional string

Filter the report for a specific phone number

event query optional string

Filter the report for specific events

tags query optional string

Filter the report for specific tags passed as a serialized urlencoded array

sort query optional string

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Responses

200

Sms events report informations

400

bad request

GET /transactionalSMS/statistics/events
GET /transactionalSMS/statistics/reports
operationId: TransactionalSms_getSmsActivityAggregatedPerDay

Parameters

Name In Required Type Description
startDate query optional string

Mandatory if endDate is used. Starting date (YYYY-MM-DD) of the report

endDate query optional string

Mandatory if startDate is used. Ending date (YYYY-MM-DD) of the report

days query optional integer

Number of days in the past including today (positive integer). Not compatible with ‘startDate’ and ‘endDate’

tag query optional string

Filter on a tag

sort query optional string

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Responses

200

Aggregated SMS report informations

400

bad request

GET /transactionalSMS/statistics/reports

Transactionalwhatsapp 2 endpoints

POST /whatsapp/sendMessage

This endpoint is used to send a WhatsApp message.
(The first message you send using the API must contain a Template ID. You must create a template on WhatsApp on the Brevo platform to fetch the Template ID.)

operationId: TransactionalWhatsApp_sendMessage

Request Body

required

Values to send WhatsApp message

application/json
schema TransactionalWhatsAppSendMessageRequest

Responses

201

successfully created

400

bad request

POST /whatsapp/sendMessage
GET /whatsapp/statistics/events

This endpoint will show the unaggregated statistics for WhatsApp activity (30 days by default if startDate and endDate or days is not passed. The date range can not exceed 90 days)

operationId: TransactionalWhatsApp_getActivity

Parameters

Name In Required Type Description
limit query optional integer

Number limitation for the result returned

offset query optional integer

Beginning point in the list to retrieve from

startDate query optional string

Mandatory if endDate is used. Starting date of the report (YYYY-MM-DD). Must be lower than equal to endDate

endDate query optional string

Mandatory if startDate is used. Ending date of the report (YYYY-MM-DD). Must be greater than equal to startDate

days query optional integer

Number of days in the past including today (positive integer). Not compatible with ‘startDate’ and ‘endDate’

contactNumber query optional string

Filter results for specific contact (WhatsApp Number with country code. Example, 85264318721)

event query optional string

Filter the report for a specific event type

sort query optional string

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Responses

200

WhatsApp events report

400

bad request

GET /whatsapp/statistics/events

User 6 endpoints

GET /organization/invited/users
operationId: User_getAllUsers

Responses

200

list of all your users

400

bad request

GET /organization/invited/users
PUT /organization/user/invitation/revoke/{email}
operationId: User_revokePermissionByEmail

Parameters

Name In Required Type Description
email path required string

Email of the invited user.

Responses

200

Credit note exists

403

Unauthorized access

PUT /organization/user/invitation/revoke/{email}
POST /organization/user/invitation/send

Feature - A Feature represents a specific functionality like Email campaign, Deals, Calls, Automations, etc. on Brevo. While inviting a user, determine which feature you want to manage access to. You must specify the feature accurately to avoid errors.

Permission - A Permission defines the level of access or control a user has over a specific feature. While inviting user, decide on the permission level required for the selected feature. Make sure the chosen permission is related to the selected feature.

Features and their respective permissions are as below:

  • email_campaigns:
    • “create_edit_delete”
    • “send_schedule_suspend”
  • sms_campaigns:
    • “create_edit_delete”
    • “send_schedule_suspend”
  • contacts:
    • “view”
    • “create_edit_delete”
    • “import”
    • “export”
    • “list_and_attributes”
    • “forms”
  • templates:
    • “create_edit_delete”
    • “activate_deactivate”
  • workflows:
    • “create_edit_delete”
    • “activate_deactivate_pause”
    • “settings”
  • facebook_ads:
    • “create_edit_delete”
    • “schedule_pause”
  • landing_pages:
    • “all”
  • transactional_emails:
    • “settings”
    • “logs”
  • smtp_api:
    • “smtp”
    • “api_keys”
    • “authorized_ips”
  • user_management:
    • “all”
  • sales_platform:
    • “manage_owned_deals_tasks_companies”
    • “manage_others_deals_tasks_companies”
    • “reports”
    • “settings”
  • phone:
    • “all”
  • conversations:
    • “access”
    • “assign”
    • “configure”
  • senders_domains_dedicated_ips:
    • “senders_management”
    • “domains_management”
    • “dedicated_ips_management”
  • push_notifications:
    • “view”
    • “create_edit_delete”
    • “send”
    • “settings”

Note:

  • If all_features_access: false then only privileges are required otherwise if true then it’s assumed that all permissions will be there for the invited user.
  • The availability of feature and its permission depends on your current plan. Please select the features and permissions accordingly.
operationId: User_sendInvitation

Request Body

required

Values to create an invitation

application/json
schema inviteuser
Property Type Required
email string required
privileges array required
feature string optional
permissions array optional
all_features_access boolean required

Responses

200

Success

400

Bad request

POST /organization/user/invitation/send
PUT /organization/user/invitation/{action}/{email}
operationId: User_resendInvitation

Parameters

Name In Required Type Description
action path required string

action

email path required string

Email of the invited user.

Responses

200

Success

403

Unauthorized access

PUT /organization/user/invitation/{action}/{email}
POST /organization/user/update/permissions

Feature - A Feature represents a specific functionality like Email campaign, Deals, Calls, Automations, etc. on Brevo. While inviting a user, determine which feature you want to manage access to. You must specify the feature accurately to avoid errors.

Permission - A Permission defines the level of access or control a user has over a specific feature. While inviting user, decide on the permission level required for the selected feature. Make sure the chosen permission is related to the selected feature.

Features and their respective permissions are as below:

  • email_campaigns:
    • “create_edit_delete”
    • “send_schedule_suspend”
  • sms_campaigns:
    • “create_edit_delete”
    • “send_schedule_suspend”
  • contacts:
    • “view”
    • “create_edit_delete”
    • “import”
    • “export”
    • “list_and_attributes”
    • “forms”
  • templates:
    • “create_edit_delete”
    • “activate_deactivate”
  • workflows:
    • “create_edit_delete”
    • “activate_deactivate_pause”
    • “settings”
  • facebook_ads:
    • “create_edit_delete”
    • “schedule_pause”
  • landing_pages:
    • “all”
  • transactional_emails:
    • “settings”
    • “logs”
  • smtp_api:
    • “smtp”
    • “api_keys”
    • “authorized_ips”
  • user_management:
    • “all”
  • sales_platform:
    • “manage_owned_deals_tasks_companies”
    • “manage_others_deals_tasks_companies”
    • “reports”
    • “settings”
  • phone:
    • “all”
  • conversations:
    • “access”
    • “assign”
    • “configure”
  • senders_domains_dedicated_ips:
    • “senders_management”
    • “domains_management”
    • “dedicated_ips_management”
  • push_notifications:
    • “view”
    • “create_edit_delete”
    • “send”
    • “settings”

Note:

  • The privileges array remains the same as in the send invitation; the user simply needs to provide the permissions that need to be updated.
  • The availability of feature and its permission depends on your current plan. Please select the features and permissions accordingly.
operationId: User_updatePermissions

Request Body

required

Values to create an invitation

application/json
schema inviteuser
Property Type Required
email string required
privileges array required
feature string optional
permissions array optional
all_features_access boolean required

Responses

200

Success

400

Bad request

POST /organization/user/update/permissions
GET /organization/user/{email}/permissions
operationId: User_checkPermission

Parameters

Name In Required Type Description
email path required string

Email of the invited user.

Responses

200

list of all the user’s permissions

400

bad request

GET /organization/user/{email}/permissions

Webhooks 6 endpoints

GET /webhooks
operationId: Webhooks_getAll

Parameters

Name In Required Type Description
type query optional string

Filter on webhook type

sort query optional string

Sort the results in the ascending/descending order of webhook creation

Responses

200

Webhooks informations

400

bad request

GET /webhooks
POST /webhooks
operationId: Webhooks_createHook

Request Body

required

Values to create a webhook

application/json
schema createWebhook
Property Type Required
url string required
auth object optional
type string optional
domain string optional
events array required
batched boolean optional
headers array optional
description string optional

Responses

201
400

bad request

POST /webhooks
POST /webhooks/export

This endpoint will submit a request to get the history of webhooks in the CSV file. The link to download the CSV file will be sent to the webhook that was provided in the notifyURL.

operationId: Webhooks_exportAllEvents

Request Body

required

Values to submit for webhooks history

application/json
schema WebhooksExportAllEventsRequest

Responses

202

Request accepted

400

bad request

POST /webhooks/export
DELETE /webhooks/{webhookId}
operationId: Webhooks_deleteWebhook

Parameters

Name In Required Type Description
webhookId path required integer

Id of the webhook

Responses

204

Webhook deleted

400

bad request

404

Webhook ID not found

DELETE /webhooks/{webhookId}
GET /webhooks/{webhookId}
operationId: Webhooks_getDetails

Parameters

Name In Required Type Description
webhookId path required integer

Id of the webhook

Responses

200

Webhook informations

400

bad request

404

Webhook ID not found

GET /webhooks/{webhookId}
PUT /webhooks/{webhookId}
operationId: Webhooks_updateWebhookById

Parameters

Name In Required Type Description
webhookId path required integer

Id of the webhook

Request Body

required

Values to update a webhook

application/json
schema updateWebhook
Property Type Required
url string optional
auth object optional
domain string optional
events array optional
batched boolean optional
headers array optional
description string optional

Responses

204

Webhook updated

400

bad request

404

Webhook ID not found

PUT /webhooks/{webhookId}

Whatsappcampaigns 9 endpoints

GET /whatsappCampaigns
operationId: WhatsAppCampaigns_getAll

Parameters

Name In Required Type Description
startDate query optional string

Mandatory if endDate is used. Starting (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the WhatsApp campaigns created.
Prefer to pass your timezone in date-time format for accurate result

endDate query optional string

Mandatory if startDate is used. Ending (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the WhatsApp campaigns created.
Prefer to pass your timezone in date-time format for accurate result

limit query optional integer

Number of documents per page

offset query optional integer

Index of the first document in the page

sort query optional string

Sort the results in the ascending/descending order of record modification. Default order is descending if sort is not passed

Responses

200

WhatsApp campaigns information

400

bad request

GET /whatsappCampaigns
POST /whatsappCampaigns
operationId: WhatsAppCampaigns_createAndSend

Request Body

required

Values to create a WhatsApp Campaign

application/json
schema createWhatsAppCampaign
Property Type Required
name string required
recipients object required
listIds array optional
segments array optional
excludedListIds array optional
templateId integer required
scheduledAt string required

Responses

201
400

bad request

POST /whatsappCampaigns
GET /whatsappCampaigns/config
operationId: WhatsAppCampaigns_getAccountInfo

Responses

200

Get all the information of your WhatsApp API account

400

bad request

GET /whatsappCampaigns/config
POST /whatsappCampaigns/template
operationId: WhatsAppCampaigns_createTemplate

Request Body

required

Values to create a WhatsApp template

application/json
schema createWhatsAppTemplate
Property Type Required
name string required
source string optional
bodyText string required
category string required
language string required
mediaUrl string optional
headerText string optional

Responses

201
400

bad request

POST /whatsappCampaigns/template
GET /whatsappCampaigns/template-list
operationId: WhatsAppCampaigns_getTemplates

Parameters

Name In Required Type Description
startDate query optional string

Mandatory if endDate is used. Starting (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the templates created.
Prefer to pass your timezone in date-time format for accurate result

endDate query optional string

Mandatory if startDate is used. Ending (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the templates created.
Prefer to pass your timezone in date-time format for accurate result

limit query optional integer

Number of documents per page

offset query optional integer

Index of the first document in the page

sort query optional string

Sort the results in the ascending/descending order of record modification. Default order is descending if sort is not passed

source query optional string

source of the template

Responses

200

WhatsApp templates informations

400

bad request

GET /whatsappCampaigns/template-list
POST /whatsappCampaigns/template/approval/{templateId}
operationId: WhatsAppCampaigns_sendTemplateForApproval

Parameters

Name In Required Type Description
templateId path required integer

id of the template

Responses

200

WhatsApp template sent for approval

400

bad request

POST /whatsappCampaigns/template/approval/{templateId}
DELETE /whatsappCampaigns/{campaignId}
operationId: WhatsAppCampaigns_deleteCampaign

Parameters

Name In Required Type Description
campaignId path required integer

id of the campaign

Responses

204

WhatsApp campaign has been deleted

400

bad request

404

Campaign Id not found

DELETE /whatsappCampaigns/{campaignId}
GET /whatsappCampaigns/{campaignId}
operationId: WhatsAppCampaigns_getCampaignById

Parameters

Name In Required Type Description
campaignId path required integer

Id of the campaign

Responses

200

Get WhatsApp campaign information on the basis of campaignId

400

bad request

404

Campaign Id not found

GET /whatsappCampaigns/{campaignId}
PUT /whatsappCampaigns/{campaignId}
operationId: WhatsAppCampaigns_updateCampaignById

Parameters

Name In Required Type Description
campaignId path required integer

id of the campaign

Request Body

required

Values to update a WhatsApp Campaign

application/json
schema updateWhatsAppCampaign
Property Type Required
recipients object optional
listIds array optional
segments array optional
excludedListIds array optional
campaignName string optional
rescheduleFor string optional
campaignStatus string optional

Responses

204

WhatsApp campaign has been deleted

400

bad request

PUT /whatsappCampaigns/{campaignId}